import Vue from 'vue'
import VueRouter from 'vue-router'
import Index from '../views/Index.vue'
import Rules from '../views/Rules.vue'
import Login from '../views/Login.vue'
import Signup from '../views/Signup.vue'
import GameCreate from '../views/GameCreate.vue'
import GameJoin from '../views/GameJoin.vue'
import Game from '../views/Game.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'Index',
    component: Index
  },
  {
    path: '/rules',
    name: 'Rules',
    component: Rules
  },
  {
    path: '/login',
    name: 'Login',
    component: Login
  },
  {
    path: '/signup',
    name: 'Signup',
    component: Signup
  },
  {
    path: '/gameCreate',
    name: 'GameCreate',
    component: GameCreate
  },
  {
    path: '/gameJoin',
    name: 'GameJoin',
    component: GameJoin
  },
  {
    path: '/game',
    name: 'Game',
    component: Game
  }
]

const router = new VueRouter({
  routes
})

export default router
